commit:     53320292a68d54764d072670814448a3c0f3ff8d
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 19 10:06:49 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jul 19 10:43:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53320292

media-gfx/sane-backends: fix build issue with escl backend, #733186

 - escl backend requires avahi-client.pc.

Closes: https://bugs.gentoo.org/733186
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/sane-backends/sane-backends-1.0.30-r2.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/media-gfx/sane-backends/sane-backends-1.0.30-r2.ebuild 
b/media-gfx/sane-backends/sane-backends-1.0.30-r2.ebuild
index 4c2b751299b..adeb389d709 100644
--- a/media-gfx/sane-backends/sane-backends-1.0.30-r2.ebuild
+++ b/media-gfx/sane-backends/sane-backends-1.0.30-r2.ebuild
@@ -140,6 +140,11 @@ RDEPEND="
                >=virtual/jpeg-0-r2:0=[${MULTILIB_USEDEP}]
        )
        sane_backends_escl? (
+               || (
+                       net-dns/avahi[dbus]
+                       net-dns/avahi[gtk]
+                       net-dns/avahi[gtk2]
+               )
                net-dns/avahi[${MULTILIB_USEDEP}]
                net-misc/curl[${MULTILIB_USEDEP}]
        )

Reply via email to